Bug 136852 - ping6 gives "connect: invalid argument" for link-local (FE80) addresses
ping6 gives "connect: invalid argument" for link-local (FE80) addresses
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 14:32 EDT by Bruce Orchard
Modified: 2011-03-29 10:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 07:59:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Orchard 2004-10-22 14:32:57 EDT
Description of problem:Whenever I do ping6 of a link-local address
(FE80), pikg6 says "connect: Invalid argument"


Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1.ping6 fe80::a00:20ff:fe9d:5c55
2.
3.
  
Actual results:
[3439-3] 10% ping6 fe80::a00:20ff:fe9d:5c55
connect: Invalid argument


Expected results:
Either "is alive" or a timeout.  This works OK in Solaris.

Additional info:
[3439-3] 7% uname -a
Linux 3439-3 2.6.5-1.358smp #1 SMP Sat May 8 09:25:36 EDT 2004 i686
i686 i386 GNU/Linux
[3439-3] 8% ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:06:5B:BD:5B:E0  
          inet addr:128.104.182.102  Bcast:128.104.183.255 
Mask:255.255.252.0
          inet6 addr: fe80::206:5bff:febd:5be0/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:10086475 errors:0 dropped:0 overruns:1 frame:0
          TX packets:179401 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:988160237 (942.3 Mb)  TX bytes:18291100 (17.4 Mb)
          Interrupt:201 Base address:0xcc80
Comment 1 Bruce Orchard 2004-10-22 14:34:06 EDT
Fedora core 2.92 (test release of core 3) does the same thing.
Comment 2 Radek Vokal 2004-11-25 07:59:26 EST
Please see the posting here -
http://www.derkeiler.com/Mailing-Lists/securityfocus/Secure_Shell/2004-01/0013.html
. The point is that link-local adress can't be used in this way. You'd
better set a different global ipv6 adress to eth0 or specify device
used for ping - ping6 -I eth0 fe80:: ... 
Comment 3 ahawtho 2011-03-29 10:19:23 EDT
(In reply to comment #2)
> Please see the posting here -
> http://www.derkeiler.com/Mailing-Lists/securityfocus/Secure_Shell/2004-01/0013.html
> . The point is that link-local adress can't be used in this way. You'd
> better set a different global ipv6 adress to eth0 or specify device
> used for ping - ping6 -I eth0 fe80:: ... 

I ran across this bug report looking for a solution to the same problem, but I discovered another solution, so I'm sharing for posterity.  Another way to do this is to use the zone index (%<iface>), e.g.:

ping6 fe80::a00:20ff:fe9d:5c55%wlan0

or

ping6 fe80::a00:20ff:fe9d:5c55%eth0

In the linked article, he says you can't specify the interface with ssh, but I think most tools supports the zone index in the IPv6 address.  On my system, 'ssh my-link-local-address' fails, but 'ssh my-link-local-address%eth0' succeeds.

Hope that helps someone else who's searching for this.

Note You need to log in before you can comment on or make changes to this bug.